# Installation

{% hint style="info" %}
Below are some important types and installation contents !
{% endhint %}

{% stepper %}
{% step %}

### Install all resource dependencies <a href="#install-all-resource-dependencies" id="install-all-resource-dependencies"></a>

* [oxmysql](https://github.com/overextended/oxmysql/releases)
* [ox\_lib](https://github.com/overextended/ox_lib/releases)
  {% endstep %}

{% step %}

### Resource start order in **`server.cfg` file**

It's important for your resources to start in a logical order to prevent errors from missing dependencies

{% code title="server.cfg" %}

```lua
ensure oxmysql
ensure ox_lib
ensure framework # the name of your framework (i.e. es_extended, qbx_core)
-- # other resources
ensure qua_warehouse
ensure 0r-trucker
```

{% endcode %}
{% endstep %}

{% step %}

### Done

Installation is complete, the script should start without problems.

{% hint style="info" %}
[Please read here for localization](https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-trucker-v2/editing-localization-files)
{% endhint %}

Enjoy the script.
{% endstep %}
{% endstepper %}

{% hint style="danger" %}
The `insert-me.sql` file will `execute` `automatically`. You don't need to do anything !
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-trucker-v2/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
